%define upstream_name    Pod-Perldoc
%define upstream_version 3.20

%define _requires_exceptions perl(Tk)\\|perl(Tk::Pod)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Customized option parser for Pod::Perldoc
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.220.0
BuildRequires: perl(IO::Select)
BuildRequires: perl(Pod::Man) >= 2.180.0
BuildRequires: perl(Pod::Simple::RTF) >= 3.160.0
BuildRequires: perl(Pod::Simple::XMLOutStream) >= 3.160.0
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
_perldoc_ looks up a piece of documentation in .pod format that is embedded
in the perl installation tree or in a perl script, and displays it via
'pod2man | nroff -man | $PAGER'. (In addition, if running under HP-UX, 'col
-x' will be used.) This is primarily used for the documentation for the
perl library modules.

Your system may also have man pages installed for those modules, in which
case you can probably just use the man(1) command.

If you are looking for a table of contents to the Perl library modules
documentation, see the the perltoc manpage page.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.200.0-2.mga4
+ Revision: 526286
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 3.200.0-1.mga4
+ Revision: 436459
- update to 3.20

* Wed Mar 27 2013 jquelin <jquelin> 3.170.0-3.mga3
+ Revision: 405525
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.170.0-2.mga3
+ Revision: 371958
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 01 2012 jquelin <jquelin> 3.170.0-1.mga3
+ Revision: 252860
- update to 3.17

* Thu May 31 2012 jquelin <jquelin> 3.150.0-2.mga3
+ Revision: 252155
- fix file conflict with perl 5.16

* Sun Jan 23 2011 jquelin <jquelin> 3.150.0-2.mga1
+ Revision: 34163
- mageia rebuild
- imported package perl-Pod-Perldoc

